=== debian/changelog ===
ros-humble-examples-rclcpp-wait-set (0.15.1-1jammy) jammy; urgency=high

  * Add test linting to wait_set and fix issues. (#346 <https://github.com/ros2/examples/issues/346>)
  * Contributors: Allison Thackston

 -- William Woodall <william@openrobotics.org>  Mon, 07 Nov 2022 06:00:00 -0000

ros-humble-examples-rclcpp-wait-set (0.15.0-1jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-examples-rclcpp-wait-set (0.14.0-1jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-examples-rclcpp-wait-set (0.13.0-1jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Mon, 18 Oct 2021 05:00:00 -0000

ros-humble-examples-rclcpp-wait-set (0.12.0-1jammy) jammy; urgency=high

  * Add wait set examples (#315 <https://github.com/ros2/examples/issues/315>)
  * Contributors: carlossvg

 -- William Woodall <william@openrobotics.org>  Thu, 05 Aug 2021 05:00:00 -0000
