## ros-humble-examples-rclcpp-wait-set 0.15.2

=== debian/changelog ===
ros-humble-examples-rclcpp-wait-set (0.15.2-1bookworm) bookworm; urgency=high



 -- William Woodall <william@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-examples-rclcpp-wait-set (0.15.1-1bookworm) bookworm; urgency=high

  * Add test linting to wait_set and fix issues. (#346 <https://github.com/ros2/examples/issues/346>)
  * Contributors: Allison Thackston

 -- William Woodall <william@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-examples-rclcpp-wait-set (0.15.0-1bookworm) bookworm; urgency=high



 -- William Woodall <william@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-examples-rclcpp-wait-set (0.14.0-1bookworm) bookworm; urgency=high



 -- William Woodall <william@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-examples-rclcpp-wait-set (0.13.0-1bookworm) bookworm; urgency=high



 -- William Woodall <william@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-humble-examples-rclcpp-wait-set (0.12.0-1bookworm) bookworm; urgency=high

  * Add wait set examples (#315 <https://github.com/ros2/examples/issues/315>)
  * Contributors: carlossvg

 -- William Woodall <william@openrobotics.org>  Wed, 04 Aug 2021 16:00:00 -0000
